Tektronix Technical Forums are maintained by community involvement. Feel free to post questions or respond to questions by other members. Should you require a time-sensitive answer, please contact your local Tektronix support center here.

ACS basic edition V2.1 error

Post Reply
[email protected]
Posts: 3
Joined: September 29th, 2016, 7:54 pm
Country: Saudi Arabia

ACS basic edition V2.1 error

Post by [email protected] » September 29th, 2016, 8:09 pm

Hello there,
I have a problem when I start ACS Basic edition v2.1 that runs 2 SMUs 2450 for FET characterization setup. An error comes out and then the software will run continuously and does not respond anymore unless I abort the session using the task manager and start again. The error codes are 113 and 420. When I start again the same problem will come out over and over. I removed one of the SMUs but that does not change anything.

Many thanks

Hadi

Andrea C
Keithley Applications
Keithley Applications
Posts: 1565
Joined: October 15th, 2010, 10:35 am
Country: United States
Contact:

Re: ACS basic edition V2.1 error

Post by Andrea C » October 3rd, 2016, 4:07 am

Hello,

ACS-Basic does not yet directly support the 2450 SMU hardware.
If you put the 2450 into 2400 SCPI command set mode, then you should be able to use them with ACS-Basic as if they are 2400 models.
Put each of them onto the GPIB bus with a unique address.

Andrea

[email protected]
Posts: 3
Joined: September 29th, 2016, 7:54 pm
Country: Saudi Arabia

Re: ACS basic edition V2.1 error

Post by [email protected] » October 6th, 2016, 10:06 pm

Thanks Andrea. I tried what you've mentioned and used only one module with GPIB interface and SCPI command but the errors are still there.
Error 113 comes first followed by error 420.

Andrea C
Keithley Applications
Keithley Applications
Posts: 1565
Joined: October 15th, 2010, 10:35 am
Country: United States
Contact:

Re: ACS basic edition V2.1 error

Post by Andrea C » October 12th, 2016, 5:31 am

Hello,
I am able to duplicate the issue.
The offending command that is throwing the -113 error is related to ACS asking for the last calibration date (:CAL:PROT:DATE?). Seems the calibration commands of the 2400 were not implemented in the 2450 when operating in 2400SCPI emulation mode, most likely because calibration would be done in 2450 mode.
Let me confer with the ACS-Basis development team.
But like I initially indicated, ACS Basic 2.1 is not intended to work with the 2450 model.
If you need software control without direct programming, you can consider to use KickStart software with the two 2450.
Andrea

[email protected]
Posts: 3
Joined: September 29th, 2016, 7:54 pm
Country: Saudi Arabia

Re: ACS basic edition V2.1 error

Post by [email protected] » October 13th, 2016, 2:25 am

That's possible. I forgot to add that I contacted the technical support earlier where they provided me with a patch to solve the problem of the incompatibility of 2450 with the ACS. The errors came later after I installed the patch. Before that I would not be able to start the software.
Kickstart is working fine but I've chosen ACS as it provides me with a variety of measurements that are not available in kickstart. Thanks for the continues interest and support.

Post Reply

Return to “ACS Software Products”

Who is online

Users browsing this forum: No registered users and 2 guests